org.deidentifier.arx.test

## Class TestSolutionSpaceClassification

- java.lang.Object
- - org.deidentifier.arx.test.AbstractTest
  - - org.deidentifier.arx.test.TestSolutionSpaceClassification

    public class TestSolutionSpaceClassification
    extends AbstractTest

Tests the classification of the solution space.

Author:
  Fabian Prasser, Florian Kohlmayer

### Nested Class Summary

### Nested classes/interfaces inherited from class org.deidentifier.arx.test.AbstractTest

`AbstractTest.TestMetric`

### Constructor Summary

Constructors
Constructor and Description
`TestSolutionSpaceClassification()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `testNMEntropy()` Performs a test.

### Methods inherited from class org.deidentifier.arx.test.AbstractTest

`setUp`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestSolutionSpaceClassification

    public TestSolutionSpaceClassification()

### Method Detail

#### testNMEntropy

    public void testNMEntropy()
                       throws java.lang.IllegalArgumentException,
                              java.io.IOException

Performs a test.

Throws:
  `java.lang.IllegalArgumentException`
  `java.io.IOException`